package com.brilliance.isc.esb.newmodel;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class PeripheralRequest<DT, DM> {
    /**
     * 对外请求体
     */
    private DT data;
    /**
     * 对外请求头头
     */
    private Head head;
    /**
     * 业务领域
     */
    private DM domain;

    public void reset() {
        if (head == null) {
            head = new Head();
        }
    }
}
